Subject: Re: [bess] draft-fm-bess-service-chaining

From: "Henderickx, Wim (Wim)" <[email-masked]>
Date: Wed, 22 Jul 2015 17:30:06 +0000

Adding the bess wg

From: Wim Henderickx
Date: Wednesday 22 July 2015 19:24
To: "[email-masked]<mailto:[email-masked]>"
Subject: draft-fm-bess-service-chaining

While I support to see this work progress I have the following remarks while reading this draft:

  *   The doc is much focussed on the VRF constructions and architecture, but in some use cases we need to program the SF, which is not always clear and we should be a bit more explicit about it in the draft
  *   If a SF is L2 vs L3 we need to program the static NH and IP@ a bit different and we should clarify this
  *   A question I have is if in this architecture a SFF could be shared using the same interface/sub-interface with other service chains or not. Based on this it would also be good to document the things the SFC architecture allows and are supported or not with this proposal.